import java.awt.*; 
import javax.swing.*; 

public class Fond extends JPanel implements ActionListener {
	private JButton Cyan, Magenta, Jaune; 
	
	public Fond() {
		this.setLayout(null);

		this.Cyan = new JButton("Cyan");
		this.Magenta = new JButton("Magenta");
		this.Jaune = new JButton("Jaune");

		this.Cyan.setBounds(100,50,100,20);
		this.Magenta.setBounds(220,50,100,20);
		this.Jaune.setBounds(320,50,100,20);

		this.Cyan.addActionListener(this);
		this.Magenta.addActionListener(this);
		this.Jaune.addActionListener(this);
		
		this.add(this.Cyan);
		this.add(this.Magenta);
		this.add(this.Jaune);
	}

	@Override
	public void actionPerformed(ActionEvent evenement) {
		if (evenement.getSource() == this.Cyan) {
			this.setBackground(Color.CYAN);
		} else if (evenement.getSource() == this.Magenta) {
			this.setBackground(Color.MAGENTA);
		} else if (evenement.getSource() == this.Jaune) {
			this.setBackground(Color.YELLOW);
		}
	}
}